Bug 1173546 - Provide some way to circumvent "Disabling f2fs" though it's unsupported
Provide some way to circumvent "Disabling f2fs" though it's unsupported
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
All openSUSE Factory
: P5 - None : Enhancement (vote)
: ---
Assigned To: Goldwyn Rodrigues
E-mail List
:
Depends on: 1109665
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-30 17:46 UTC by Raphael Bertoche
Modified: 2020-07-09 23:42 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Bertoche 2020-06-30 17:46:58 UTC
In the discussions about this as the thread linked below it was mentioned that enabling f2fs would be one line commentary away. But after removing the commentary I found out I have no  kernel module able to mount f2fs.

https://lists.opensuse.org/opensuse-kernel/2018-10/msg00001.html

It's worth mentioning f2fs is currently actively used - especially on mobile platforms and other SoCs.

Is it possible to provide a better way to mount an f2fs disk, even though you have dropped it's support, that doesn't involve recompiling the whole kernel every once in a while?
Comment 1 Raphael Bertoche 2020-06-30 17:54:07 UTC
Actually I meant to link to this thread

https://lists.opensuse.org/opensuse-factory/2019-01/msg00549.html
Comment 2 Jeff Mahoney 2020-06-30 18:14:43 UTC
The blacklist changes referenced in boo#1109665 landed, so it's as simple as re-enabling CONFIG_FS_F2FS.  We still can't support it under any circumstances for SLE, but we can enable it for openSUSE.
Comment 3 Raphael Bertoche 2020-06-30 19:14:43 UTC
Forgive my ignorance: For re-enabling this kernel option I must configure it on a kernel source directory and  manually compile either the source or the .ko, or is there an easier way to accomplish this?
Comment 4 Goldwyn Rodrigues 2020-07-01 19:35:31 UTC
(In reply to Raphael Bertoche from comment #3)
> Forgive my ignorance: For re-enabling this kernel option I must configure it
> on a kernel source directory and  manually compile either the source or the
> .ko, or is there an easier way to accomplish this?

Yes. Modify /boot/config-<version> and use it as a configuration file for kernel source.

In any case, I have enabled this for Tumbleweed, so it should be in the repository soon.
Comment 5 Raphael Bertoche 2020-07-08 17:22:18 UTC
> Yes. Modify /boot/config-<version> and use it as a configuration file for kernel source.

Thanks. I tried compiling it without using this config file and it wouldn't boot. Next time I'll try that.
Shouldn't that configuration be default for the kernel sourcepackage?

> In any case, I have enabled this for Tumbleweed, so it should be in the repository soon.

What enabled? If it was a change to CONFIG_F2FS_FS=m, that would be very thoughtful, since that blacklist already prevents unwary use
Comment 6 Goldwyn Rodrigues 2020-07-09 21:10:21 UTC
(In reply to Raphael Bertoche from comment #5)
> > Yes. Modify /boot/config-<version> and use it as a configuration file for kernel source.
> 
> Thanks. I tried compiling it without using this config file and it wouldn't
> boot. Next time I'll try that.
> Shouldn't that configuration be default for the kernel sourcepackage?

It builds kernel-default, if that's what you are asking.

> 
> > In any case, I have enabled this for Tumbleweed, so it should be in the repository soon.
> 
> What enabled? If it was a change to CONFIG_F2FS_FS=m, that would be very
> thoughtful, since that blacklist already prevents unwary use

Yes, CONFIG_F2FS_FS=m is enabled. It is already available in KOTD
https://build.opensuse.org/package/binaries/Kernel:HEAD/kernel-default/standard

Closing as FIXED
Comment 7 Raphael Bertoche 2020-07-09 23:42:18 UTC
Awesome! TW users using F2FS owe you one.